var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function cargar(){
document.location.href="ingresar_rangos.php?pos="+inicio;
}


//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_rango.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function limpiar(){

    document.getElementById('codigo').value="";
    document.getElementById('descripcion').value="";

    document.getElementById('inferior').value="";
    document.getElementById('v1').value="";

    document.getElementById('superior').value="";
    document.getElementById('v2').value="";

    document.getElementById('codigo').focus();

}

function grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}



var v1=get('codigo');
var v2=get('descripcion');
var v3=get('inferior');
var v4=get('v1');
var v5=get('superior');
var v6=get('v2');


if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}
if (v2=="") {
    alert("Digite Descripci&oacute;n");
    return 0;
}
if (v3=="") {
    alert("Digite < - <=  >  >=");
    return 0;
}
if (v4=="") {
    alert("Digite Valor");
    return 0;
}
if (v5=="") {
      alert("Digite < - <=  >  >=");
    return 0;
}
if (v6=="") {
     alert("Digite Valor");
    return 0;
}



var parametros = {"accion":'grabar_rango',
                          "codigo" :v1,
                          "descripcion" :v2,
                          "inferior" :v3,
                          "v1" :v4,
                          "superior" :v5,
                          "v2" :v6

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_rango.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        limpiar();
                        document.location.href="ingresar_rangos.php?pos="+p;

                }
        });

}

function actualizar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v2=get('descripcion');
var v3=get('inferior');
var v4=get('v1');
var v5=get('superior');
var v6=get('v2');


if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}
if (v2=="") {
    alert("Digite Descripci&oacute;n");
    return 0;
}
if (v3=="") {
    alert("Digite < - <=  >  >=");
    return 0;
}
if (v4=="") {
    alert("Digite Valor");
    return 0;
}
if (v5=="") {
      alert("Digite < - <=  >  >=");
    return 0;
}
if (v6=="") {
     alert("Digite Valor");
    return 0;
}


var parametros = {"accion":'actualizar_rango',
                          "codigo" :v1,
                          "descripcion" :v2,
                          "inferior" :v3,
                          "v1" :v4,
                          "superior" :v5,
                          "v2" :v6


                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_rango.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_rangos.php?pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function eliminar(codigo,inicio,total){


   if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_rango',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_rango.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_rangos.php?pos="+inicio;

                }
        });
}

//------------------------------------------

function editar(codigo){


    var parametros = {"accion":'editar_rango',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_rango.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });

}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}




